# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.acl
Class AclRole

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.acl.AclRole

All Implemented Interfaces:
  Extension

    public class AclRole

extends ValueConstruct

Describes the role of an entry in an access control list.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static AclRole` `NONE` predefined value "none" to indicate that a user has no rights
`static AclRole` `OWNER` predefined value "owner" to indicate that a user has the right to read, modify and delete the controlled object
`static AclRole` `PEEKER` predefined value "peeker" to indicate that a user has the right to know of the existance of the controlled object
`static AclRole` `READER` predefined value "reader" to indicate that a user has the right to read the controlled object
`static AclRole` `WRITER` predefined value "none" to indicate that a user has the right to read and modify the controlled object

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`AclRole()` Default constructor for a mutable role.
`AclRole(java.lang.String value)` Constructor for either a mutable or immutable role.

Method Summary

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final AclRole NONE

  predefined value "none" to indicate that a user has no rights

### PEEKER

    public static final AclRole PEEKER

  predefined value "peeker" to indicate that a user has the right to know of the existance of the controlled object

### READER

    public static final AclRole READER

  predefined value "reader" to indicate that a user has the right to read the controlled object

### WRITER

    public static final AclRole WRITER

  predefined value "none" to indicate that a user has the right to read and modify the controlled object

### OWNER

    public static final AclRole OWNER

  predefined value "owner" to indicate that a user has the right to read, modify and delete the controlled object

Constructor Detail

### AclRole

    public AclRole()

  Default constructor for a mutable role.

### AclRole

    public AclRole(java.lang.String value)

  Constructor for either a mutable or immutable role.

  Parameters:
    `value` - immutable value to use for this role or `null` for a mutable role.